#!/usr/bin/ruby
# frozen_string_literal: true

raise NotImplementedError

__END__
require 'logger'
require 'socket'
require 'openssl'

require 'pry'

require_relative '../lib/jibril'

$l = Logger.new(STDOUT)

socket = TCPSocket.new('127.0.0.1', Jibril::PORT)

ctx = OpenSSL::SSL::SSLContext.new
ctx.key = OpenSSL::PKey::RSA.new(File.open('test/certs/client1.key'))
ctx.cert = OpenSSL::X509::Certificate.new(File.open('test/certs/client1.crt'))

$l.debug { "Client cert: #{OpenSSL::Digest::MD5.new(ctx.cert.to_der).to_s}" }

ssl_socket = OpenSSL::SSL::SSLSocket.new(socket, ctx)
ssl_socket.sync_close = true

ssl_socket.connect

pp OpenSSL::Digest::SHA1.new(ssl_socket.peer_cert.to_der).to_s

ssl_socket.write 'test'

ssl_socket.close
